## monitoring-plugins 2.3

=== perlmods/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# perlmods/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/monitoring-plugins
pkgincludedir = $(includedir)/monitoring-plugins
pkglibdir = $(libdir)/monitoring-plugins
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = perlmods
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/np_mysqlclient.m4 \
	$(top_srcdir)/m4/uriparser.m4 $(top_srcdir)/gl/m4/00gnulib.m4 \
	$(top_srcdir)/gl/m4/alloca.m4 \
	$(top_srcdir)/gl/m4/arpa_inet_h.m4 \
	$(top_srcdir)/gl/m4/base64.m4 $(top_srcdir)/gl/m4/btowc.m4 \
	$(top_srcdir)/gl/m4/codeset.m4 \
	$(top_srcdir)/gl/m4/configmake.m4 \
	$(top_srcdir)/gl/m4/dirname.m4 \
	$(top_srcdir)/gl/m4/double-slash-root.m4 \
	$(top_srcdir)/gl/m4/eealloc.m4 $(top_srcdir)/gl/m4/environ.m4 \
	$(top_srcdir)/gl/m4/errno_h.m4 $(top_srcdir)/gl/m4/error.m4 \
	$(top_srcdir)/gl/m4/exponentd.m4 \
	$(top_srcdir)/gl/m4/extensions.m4 \
	$(top_srcdir)/gl/m4/extern-inline.m4 \
	$(top_srcdir)/gl/m4/fcntl-o.m4 $(top_srcdir)/gl/m4/float_h.m4 \
	$(top_srcdir)/gl/m4/floorf.m4 \
	$(top_srcdir)/gl/m4/fstypename.m4 \
	$(top_srcdir)/gl/m4/fsusage.m4 \
	$(top_srcdir)/gl/m4/getaddrinfo.m4 \
	$(top_srcdir)/gl/m4/gethostname.m4 \
	$(top_srcdir)/gl/m4/getloadavg.m4 \
	$(top_srcdir)/gl/m4/getopt.m4 $(top_srcdir)/gl/m4/gettext.m4 \
	$(top_srcdir)/gl/m4/glibc21.m4 \
	$(top_srcdir)/gl/m4/gnulib-common.m4 \
	$(top_srcdir)/gl/m4/gnulib-comp.m4 \
	$(top_srcdir)/gl/m4/hostent.m4 $(top_srcdir)/gl/m4/iconv.m4 \
	$(top_srcdir)/gl/m4/idpriv.m4 \
	$(top_srcdir)/gl/m4/include_next.m4 \
	$(top_srcdir)/gl/m4/inet_ntop.m4 \
	$(top_srcdir)/gl/m4/intlmacosx.m4 \
	$(top_srcdir)/gl/m4/intmax_t.m4 \
	$(top_srcdir)/gl/m4/inttypes_h.m4 \
	$(top_srcdir)/gl/m4/langinfo_h.m4 \
	$(top_srcdir)/gl/m4/largefile.m4 $(top_srcdir)/gl/m4/lib-ld.m4 \
	$(top_srcdir)/gl/m4/lib-link.m4 \
	$(top_srcdir)/gl/m4/lib-prefix.m4 \
	$(top_srcdir)/gl/m4/libtool.m4 \
	$(top_srcdir)/gl/m4/localcharset.m4 \
	$(top_srcdir)/gl/m4/locale-fr.m4 \
	$(top_srcdir)/gl/m4/locale-ja.m4 \
	$(top_srcdir)/gl/m4/locale-zh.m4 \
	$(top_srcdir)/gl/m4/locale_h.m4 \
	$(top_srcdir)/gl/m4/localeconv.m4 $(top_srcdir)/gl/m4/lock.m4 \
	$(top_srcdir)/gl/m4/longlong.m4 \
	$(top_srcdir)/gl/m4/ls-mntd-fs.m4 \
	$(top_srcdir)/gl/m4/ltoptions.m4 \
	$(top_srcdir)/gl/m4/ltsugar.m4 \
	$(top_srcdir)/gl/m4/ltversion.m4 \
	$(top_srcdir)/gl/m4/lt~obsolete.m4 \
	$(top_srcdir)/gl/m4/malloc.m4 $(top_srcdir)/gl/m4/malloca.m4 \
	$(top_srcdir)/gl/m4/math_h.m4 $(top_srcdir)/gl/m4/mbrtowc.m4 \
	$(top_srcdir)/gl/m4/mbsinit.m4 \
	$(top_srcdir)/gl/m4/mbstate_t.m4 $(top_srcdir)/gl/m4/mbtowc.m4 \
	$(top_srcdir)/gl/m4/memchr.m4 $(top_srcdir)/gl/m4/mktime.m4 \
	$(top_srcdir)/gl/m4/mmap-anon.m4 \
	$(top_srcdir)/gl/m4/mountlist.m4 \
	$(top_srcdir)/gl/m4/msvc-inval.m4 \
	$(top_srcdir)/gl/m4/msvc-nothrow.m4 \
	$(top_srcdir)/gl/m4/multiarch.m4 \
	$(top_srcdir)/gl/m4/netdb_h.m4 \
	$(top_srcdir)/gl/m4/netinet_in_h.m4 \
	$(top_srcdir)/gl/m4/nl_langinfo.m4 $(top_srcdir)/gl/m4/nls.m4 \
	$(top_srcdir)/gl/m4/nocrash.m4 $(top_srcdir)/gl/m4/off_t.m4 \
	$(top_srcdir)/gl/m4/onceonly.m4 $(top_srcdir)/gl/m4/po.m4 \
	$(top_srcdir)/gl/m4/printf.m4 $(top_srcdir)/gl/m4/progtest.m4 \
	$(top_srcdir)/gl/m4/read.m4 $(top_srcdir)/gl/m4/regex.m4 \
	$(top_srcdir)/gl/m4/safe-read.m4 \
	$(top_srcdir)/gl/m4/servent.m4 $(top_srcdir)/gl/m4/setenv.m4 \
	$(top_srcdir)/gl/m4/sha1.m4 $(top_srcdir)/gl/m4/size_max.m4 \
	$(top_srcdir)/gl/m4/snprintf.m4 \
	$(top_srcdir)/gl/m4/socketlib.m4 \
	$(top_srcdir)/gl/m4/sockets.m4 $(top_srcdir)/gl/m4/socklen.m4 \
	$(top_srcdir)/gl/m4/sockpfaf.m4 $(top_srcdir)/gl/m4/ssize_t.m4 \
	$(top_srcdir)/gl/m4/stdalign.m4 $(top_srcdir)/gl/m4/stdbool.m4 \
	$(top_srcdir)/gl/m4/stddef_h.m4 $(top_srcdir)/gl/m4/stdint.m4 \
	$(top_srcdir)/gl/m4/stdint_h.m4 $(top_srcdir)/gl/m4/stdio_h.m4 \
	$(top_srcdir)/gl/m4/stdlib_h.m4 $(top_srcdir)/gl/m4/strcase.m4 \
	$(top_srcdir)/gl/m4/strcasestr.m4 \
	$(top_srcdir)/gl/m4/strerror.m4 \
	$(top_srcdir)/gl/m4/string_h.m4 \
	$(top_srcdir)/gl/m4/strings_h.m4 \
	$(top_srcdir)/gl/m4/strndup.m4 $(top_srcdir)/gl/m4/strnlen.m4 \
	$(top_srcdir)/gl/m4/strsep.m4 $(top_srcdir)/gl/m4/strstr.m4 \
	$(top_srcdir)/gl/m4/sys_socket_h.m4 \
	$(top_srcdir)/gl/m4/sys_types_h.m4 \
	$(top_srcdir)/gl/m4/sys_uio_h.m4 \
	$(top_srcdir)/gl/m4/threadlib.m4 $(top_srcdir)/gl/m4/time_h.m4 \
	$(top_srcdir)/gl/m4/time_r.m4 $(top_srcdir)/gl/m4/timegm.m4 \
	$(top_srcdir)/gl/m4/unistd_h.m4 \
	$(top_srcdir)/gl/m4/vasnprintf.m4 \
	$(top_srcdir)/gl/m4/vasprintf.m4 \
	$(top_srcdir)/gl/m4/vsnprintf.m4 \
	$(top_srcdir)/gl/m4/warn-on-use.m4 \
	$(top_srcdir)/gl/m4/wchar_h.m4 $(top_srcdir)/gl/m4/wchar_t.m4 \
	$(top_srcdir)/gl/m4/wcrtomb.m4 $(top_srcdir)/gl/m4/wctype_h.m4 \
	$(top_srcdir)/gl/m4/wint_t.m4 $(top_srcdir)/gl/m4/xalloc.m4 \
	$(top_srcdir)/gl/m4/xsize.m4 $(top_srcdir)/gl/m4/xstrndup.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/build-aux/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkglibexecdir = ${libexecdir}/${PACKAGE}
ACLOCAL = ${SHELL} /tmp/plugins/build-aux/missing --run aclocal-1.11
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = $${TAR-tar}
APPLE_UNIVERSAL_BUILD = 0
AR = ar
ARFLAGS = cru
AUTOCONF = ${SHELL} /tmp/plugins/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/plugins/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/plugins/build-aux/missing --run automake-1.11
AWK = mawk
BASENAME = /usr/bin/basename
BITSIZEOF_PTRDIFF_T = 
BITSIZEOF_SIG_ATOMIC_T = 
BITSIZEOF_SIZE_T = 
BITSIZEOF_WCHAR_T = 
BITSIZEOF_WINT_T = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DBILIBS = -ldbi
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPLIBS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EMULTIHOP_HIDDEN = 
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 
EOVERFLOW_VALUE = 
ERRNO_H = 
EXEEXT = 
EXTRAS =  check_pgsql$(EXEEXT) check_dbi$(EXEEXT) check_radius$(EXEEXT) check_ldap$(EXEEXT) check_ide_smart$(EXEEXT) check_mysql$(EXEEXT) check_mysql_query$(EXEEXT) check_procs check_nagios$(EXEEXT) check_dns$(EXEEXT) check_hpjd check_snmp$(EXEEXT) check_game$(EXEEXT) check_fping$(EXEEXT) check_by_ssh$(EXEEXT) check_swap$(EXEEXT) check_dig$(EXEEXT) check_apt$(EXEEXT) check_nt$(EXEEXT)
EXTRAS_ROOT = 
EXTRA_NETOBJS = 
EXTRA_TEST = 
FGREP = /bin/grep -F
FLOAT_H = 
FLOORF_LIBM = -lm
GETADDRINFO_LIB = 
GETHOSTNAME_LIB = 
GETLOADAVG_LIBS = 
GETOPT_H = getopt.h
GETTEXT_MACRO_VERSION = 0.18
GLIBC21 = yes
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GNULIB_ACCEPT = 0
GNULIB_ACCEPT4 = 0
GNULIB_ACOSF = 0
GNULIB_ACOSL = 0
GNULIB_ASINF = 0
GNULIB_ASINL = 0
GNULIB_ATAN2F = 0
GNULIB_ATANF = 0
GNULIB_ATANL = 0
GNULIB_ATOLL = 0
GNULIB_BIND = 0
GNULIB_BTOWC = 1
GNULIB_CALLOC_POSIX = 0
GNULIB_CANONICALIZE_FILE_NAME = 0
GNULIB_CBRT = 0
GNULIB_CBRTF = 0
GNULIB_CBRTL = 0
GNULIB_CEIL = 0
GNULIB_CEILF = 0
GNULIB_CEILL = 0
GNULIB_CHDIR = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 0
GNULIB_CONNECT = 0
GNULIB_COPYSIGN = 0
GNULIB_COPYSIGNF = 0
GNULIB_COPYSIGNL = 0
GNULIB_COSF = 0
GNULIB_COSHF = 0
GNULIB_COSL = 0
GNULIB_DPRINTF = 0
GNULIB_DUP = 0
GNULIB_DUP2 = 0
GNULIB_DUP3 = 0
GNULIB_DUPLOCALE = 0
GNULIB_ENVIRON = 1
GNULIB_EUIDACCESS = 0
GNULIB_EXP2 = 0
GNULIB_EXP2F = 0
GNULIB_EXP2L = 0
GNULIB_EXPF = 0
GNULIB_EXPL = 0
GNULIB_EXPM1 = 0
GNULIB_EXPM1F = 0
GNULIB_EXPM1L = 0
GNULIB_FABSF = 0
GNULIB_FABSL = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FDATASYNC = 0
GNULIB_FDOPEN = 0
GNULIB_FFLUSH = 0
GNULIB_FFS = 0
GNULIB_FFSL = 0
GNULIB_FFSLL = 0
GNULIB_FGETC = 1
GNULIB_FGETS = 1
GNULIB_FLOOR = 0
GNULIB_FLOORF = 1
GNULIB_FLOORL = 0
GNULIB_FMA = 0
GNULIB_FMAF = 0
GNULIB_FMAL = 0
GNULIB_FMOD = 0
GNULIB_FMODF = 0
GNULIB_FMODL = 0
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREAD = 1
GNULIB_FREOPEN = 0
GNULIB_FREXP = 0
GNULIB_FREXPF = 0
GNULIB_FREXPL = 0
GNULIB_FSCANF = 1
GNULIB_FSEEK = 0
GNULIB_FSEEKO = 0
GNULIB_FSYNC = 0
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = 0
GNULIB_FWRITE = 1
GNULIB_GETADDRINFO = 1
GNULIB_GETC = 1
GNULIB_GETCHAR = 1
GNULIB_GETCWD = 0
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 0
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 1
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 1
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETPAGESIZE = 0
GNULIB_GETPEERNAME = 0
GNULIB_GETSOCKNAME = 0
GNULIB_GETSOCKOPT = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETUSERSHELL = 0
GNULIB_GL_UNISTD_H_GETOPT = 1
GNULIB_GRANTPT = 0
GNULIB_GROUP_MEMBER = 0
GNULIB_HYPOT = 0
GNULIB_HYPOTF = 0
GNULIB_HYPOTL = 0
GNULIB_ILOGB = 0
GNULIB_ILOGBF = 0
GNULIB_ILOGBL = 0
GNULIB_INET_NTOP = 1
GNULIB_INET_PTON = 0
GNULIB_ISATTY = 0
GNULIB_ISFINITE = 0
GNULIB_ISINF = 0
GNULIB_ISNAN = 0
GNULIB_ISNAND = 0
GNULIB_ISNANF = 0
GNULIB_ISNANL = 0
GNULIB_ISWBLANK = 0
GNULIB_ISWCTYPE = 0
GNULIB_LCHOWN = 0
GNULIB_LDEXPF = 0
GNULIB_LDEXPL = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LISTEN = 0
GNULIB_LOCALECONV = 1
GNULIB_LOG = 0
GNULIB_LOG10 = 0
GNULIB_LOG10F = 0
GNULIB_LOG10L = 0
GNULIB_LOG1P = 0
GNULIB_LOG1PF = 0
GNULIB_LOG1PL = 0
GNULIB_LOG2 = 0
GNULIB_LOG2F = 0
GNULIB_LOG2L = 0
GNULIB_LOGB = 0
GNULIB_LOGBF = 0
GNULIB_LOGBL = 0
GNULIB_LOGF = 0
GNULIB_LOGL = 0
GNULIB_LSEEK = 0
GNULIB_MALLOC_POSIX = 1
GNULIB_MBRLEN = 0
GNULIB_MBRTOWC = 1
GNULIB_MBSCASECMP = 0
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 1
GNULIB_MBSLEN = 0
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 0
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 0
GNULIB_MBSTOK_R = 0
GNULIB_MBTOWC = 1
GNULIB_MEMCHR = 1
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDTEMP = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 0
GNULIB_MKSTEMPS = 0
GNULIB_MKTIME = 1
GNULIB_MODF = 0
GNULIB_MODFF = 0
GNULIB_MODFL = 0
GNULIB_NANOSLEEP = 0
GNULIB_NL_LANGINFO = 1
GNULIB_OBSTACK_PRINTF = 0

## monitoring-plugins 2.1.2

=== debian/changelog ===
monitoring-plugins (2.1.2-1~bpo70+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Jan Wagner <waja@cyconet.org>  Fri, 23 Oct 2015 09:29:11 +0200

monitoring-plugins (2.1.2-1) unstable; urgency=medium

  * [710c8df] Imported Upstream version 2.1.2

 -- Jan Wagner <waja@cyconet.org>  Fri, 16 Oct 2015 15:00:57 +0200

monitoring-plugins (2.1.1+git20151012-1) unstable; urgency=medium

  * [b8377a8] travis-ci: don't install build-deps manual
  * [3fda51b] travis-ci: build package with dpkg-buildpackage
  * [e6de6c2] travis-ci: cosmetical changes
  * [1314f7b] Drop libmysqlclient16-dev and libmysqlclient15-dev as build-dep
    alternatives (Closes: #790468)
  * [f412e4a] Convert the package to source format 3.0 (quilt)
  * [25a6df7] debian/copyright: Deleting empty last line
  * [96ed330] debian/control: reformating with warp-and-sort
  * [1353afa] Reformating with warp-and-sort the rest of debian/
  * [5dbc8cb] travis-ci: grab actual used upstream version
  * [608ba75] Add patches/10_sslutils_checksslv3 from upstream maint branch
  * [8e98d7f] Add patches/11_check_dhcp_parsing_option from upstream maint
    branch
  * [0d48744] Add patches/12_check_ups_perf_data_hresholds from upstream maint
    branch
  * [fad70ed] Add patches/13_check_snmp_timeout from upstream maint branch
  * [a9d2a52] Add patches/14_sslutils_superfluous_parenthesis from upstream
    maint branch
  * [f69aba4] Add patches/15_check_smtp_expect from upstream master branch
  * [0c7f9bf] Add patches/16_check_smtp_quit from upstream master branch
  * [5d8b296] Add patches/17_check_smtp_forcetls_on_cert from upstream master
    branch
  * [494a834] Imported Upstream version 2.1.1+git20151012 (Closes: #784319)
  * [9e076d8] Droping patches imported from upstream maint branch
  * [605543c] Update version

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Oct 2015 16:12:30 +0200

monitoring-plugins (2.1.1-1) unstable; urgency=high

  * [61401f6] Imported Upstream version 2.1.1
  * [ace55d6] Droping all patches taken from upstream 'maint' branch
    - 10_check_apt_fix_memset.dpatch
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch
    - 10_check_tcp_fix_help_escape.dpatch
    - 11_check_ntp_revert_n-p_coverty_fix.dpatch
    - 12_check_ntp_null_termination_jitter.dpatch

 -- Jan Wagner <waja@cyconet.org>  Tue, 02 Dec 2014 05:42:05 +0100

monitoring-plugins (2.1-3) unstable; urgency=high

  * [fecca17] Applying more patches from upstream 'maint' branch fixing the
    check_ntp fix and a small escape in check_tcp
    - 10_check_tcp_fix_help_escape.dpatch
    - 11_check_ntp_revert_n-p_coverty_fix.dpatch
    - 12_check_ntp_null_termination_jitter.dpatch
  * [92d5f60] Fixing dpatch macro
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch

 -- Jan Wagner <waja@cyconet.org>  Mon, 01 Dec 2014 21:29:16 +0100

monitoring-plugins (2.1-2) unstable; urgency=high

  * [d4bbd4c] Applying patches from upstream 'maint' branch
    fixing grave coding errors
    - 10_check_apt_fix_memset.dpatch
    - 10_check_ntp_null_termination.dpatch
    - 10_check_real_null_termination.dpatch

 -- Jan Wagner <waja@cyconet.org>  Sat, 29 Nov 2014 11:12:58 +0100

monitoring-plugins (2.1-1) unstable; urgency=medium

  * [060ec72] Imported Upstream version 2.1 (Closes: #758662)
  * [5255a96] Add icinga2 as another Suggests option
  * [88b130b] Add --disable-maintainer-mode to configure, for not running
    autotools foo
  * [8f70394] Bump Standards-Version to 3.9.6, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Wed, 15 Oct 2014 23:26:24 +0200

monitoring-plugins (2.0-2) unstable; urgency=medium

  * [1a9106e] debian/control: Fixing and generalizing descriptions
  * [3f5ec75] Updating debian/changelog
  * [ec235b0] travis-ci: use libfreeradius-client-dev as build-dep
  * [b2a2999] check_oracle: Fix --tns bad string matching
    - Adding 10_check_oracle_tns_bad_string.dpatch

 -- Jan Wagner <waja@cyconet.org>  Mon, 11 Aug 2014 15:22:59 +0200

monitoring-plugins (2.0-1) unstable; urgency=medium

  * [0841b5c] Imported Upstream version 2.0
    (Closes: #496307, #489974, #489974, #738042)
  * [49be365] Starting transition toward monitoring-plugins with debian/control
  * [a90fffd] Fix install path in dependency helper
  * [b6aca40] Fixing our debian/README.source to recent state
  * [cca2985] Fix documentation path in nt.cfg
  * [243da0a] Fix URL in the watch file
  * [ffc2ec8] Rename all debian nagios-plugins* to monitoring-plugins*
    (Closes: #736331)
  * [9f353b3] Fix package name in README.Debian* files
  * [fb6d01c] Fixing pathes in debian/rules and maintainers scripts
  * [03eb8d0] Document our move due renamed upstream
  * [5070f23] Droping patches applied upstream
    - 11_check_http_arguments.dpatch
    - 12_check_ssh_read_socket.dpatch
  * [ff3a690] Fix spelling error in debian/NEWS.Debian
  * [e754328] Fixing dependency relation
  * [fcf0c24] Updating standards version to 3.9.5 (no changes needed)
  * [72f1e74] Fix watch file to match further and actual releases
  * [85dfaeb] Repack upstream tarball on download
  * [ab4c50f] Update README.source
  * [5ae316e] Fixing repack.sh script
  * [0ef43fe] Add 03_configure.in_remove_perlmods.dpatch
  * [9b07715] Drop 13_check_proc_parent_process.dpatch
    - Included upstream
  * [a3145c9] Adjust repack.sh to latest upstream
  * [ce560c9] Add travis config
  * [b207889] Remove 03_configure.in_remove_perlmods.dpatch
  * [4e50939] travis-ci: Add lintian checks after build
  * [6fbf537] travis-ci: Remove gawk from buildenv
  * [5965a35] Include correct bug report for latest close (just cosmetic change)
  * [9939d1f] Breaks and Replaces against next upstream release
  * [1d11720] Don't use Pre-Depends
  * [4580974] check_fping: define fping6 command on compile time
    (Closes: #751866), many thanks Nicolas Deefayet for bringing this up
  * [7cb5f53] check_http: droping expect string from check_squid


=== debian/control ===
Source: monitoring-plugins
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 5),
               hardening-wrapper,
               libdbi-dev,
               libfreeradius-client-dev | libradiusclient-ng-dev,
               libkrb5-dev,
               libldap2-dev,
               libmysqlclient-dev,
               libnet-snmp-perl,
               libpq-dev,
               mawk | awk,
               perl,
               procps
Homepage: https://www.monitoring-plugins.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-monitoring-plugins.git
Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-monitoring-plugins.git
Standards-Version: 3.9.6

Package: monitoring-plugins
Architecture: all
Depends: monitoring-plugins-basic, monitoring-plugins-standard, ${misc:Depends}
Replaces: nagios-plugins (<< 1.5-4~)
Breaks: nagios-plugins (<< 1.5-4~)
Suggests: icinga | icinga | nagios3, nagios-plugins-contrib
Description: Plugins for nagios compatible monitoring systems (metapackage)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga.
 .
 This metapackage will install the entire suite of plugins for nagios
 compatible monitoring systems.
 If you are installing monitoring plugins on a remote "satellite" server
 (using nagios-nrpe-server or nsca), you may be interested in the
 monitoring-plugins-basic package.

Package: monitoring-plugins-common
Architecture: any
Depends: ucf, ${misc:Depends}, ${shlibs:Depends}
Replaces: nagios-plugins-common (<< 1.5-4~)
Breaks: nagios-plugins-common (<< 1.5-4~)
Suggests: icinga | icinga | nagios3
Description: Common files for plugins for nagios compatible monitoring
 Common files for plugins for nagios compatible monitoring systems like Naemon
 and Icinga.
 .
 This package contains common files which maybe needed for plugins.

Package: monitoring-plugins-basic
Architecture: any
Depends: inetutils-ping (>= 2:1.9-1~) [kfreebsd-any hurd-any],
         iputils-ping [linux-any],
         monitoring-plugins-common,
         procps,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcap2-bin [linux-any]
Replaces: nagios-plugins-basic (<< 1.5-4~)
Breaks: nagios-plugins-basic (<< 1.5-4~)
Suggests: icinga | icinga | nagios3
Description: Plugins for nagios compatible monitoring systems (basic)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_apt, check_by_ssh, check_clamd, check_cluster,
  check_dhcp, check_disk, check_dummy, check_file_age,
  check_ftp, check_host, check_http, check_icmp,
  check_ide_smart, check_imap, check_ircd, check_jabber,
  check_load, check_log, check_mrtg, check_mrtgtraf,
  check_nagios, check_nntp, check_nntps, check_nt,
  check_ntp, check_ntp_peer, check_ntp_time, check_nwstat,
  check_overcr,  check_ping, check_pop, check_procs,
  check_real, check_rta_multi, check_sensors, check_simap,
  check_smtp, check_spop, check_ssh, check_ssmtp,
  check_swap, check_tcp, check_time, check_udp,
  check_ups, check_users
 .
 This package provides a basic set of plugins with minimal external
 dependencies.  It is not likely to be useful by itself unless you are
 using a remote "satellite" system (using nagios-nrpe-server, check_by_ssh or
 nsca, for example).

Package: monitoring-plugins-standard
Architecture: any
Replaces: nagios-plugins-standard (<< 1.5-4~)
Breaks: nagios-plugins-standard (<< 1.5-4~)
Depends: monitoring-plugins-basic, ucf, ${misc:Depends}, ${shlibs:Depends}
Recommends: bind9-host | host,
            dnsutils,
            fping,
            libnet-snmp-perl,
            qstat,
            rpcbind,
            smbclient,
            snmp,
            ${shlibs:Recommends}
Suggests: icinga | icinga | nagios3,
          postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light
Description: Plugins for nagios compatible monitoring systems (standard)
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_bgpstate, check_breeze, check_dbi, check_dig, check_disk_smb,
  check_dns, check_flexlm, check_fping, check_game,
  check_hpjd, check_ifoperstatus, check_ifstatus, check_ldap,
  check_ldaps, check_linux_raid, check_mailq, check_mysql,
  check_mysql_query, check_oracle, check_pgsql, check_radius,
  check_rpc, check_snmp, check_wave
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central monitoring host. Some scripts need more packages installed
 to work, which is implemented as recommends.

Package: nagios-plugins
Depends: monitoring-plugins, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package (nagios-plugins to monitoring-plugins)
 This dummy package is provided to support the transition from
 nagios-plugins to monitoring-plugins and should be removed afterwards.

Package: nagios-plugins-common
Architecture: all
Section: oldlibs
Depends: monitoring-plugins-common, ${misc:Depends}
Replaces: nagios-plugins-basic (<= 1.4.15-5)
Description: transitional dummy package
 This dummy package is provided to support the transition from
 nagios-plugins-common to monitoring-plugins-common and should be removed
 afterwards.

Package: nagios-plugins-basic
Depends: monitoring-plugins-basic, ${misc:Depends}
Architecture: all
Section: oldlibs
Conflicts: nagios-plugins (<= 1.4.2-3)
Replaces: nagios-plugins, nagios-plugins-standard
Description: transitional dummy package
 This dummy package is provided to support the transition from
 nagios-plugins-basic to monitoring-plugins-basic and should be removed
 afterwards.

Package: nagios-plugins-standard
Depends: monitoring-plugins-standard, ${misc:Depends}
Architecture: all
Section: oldlibs
Conflicts: nagios-plugins (<= 1.4.2-3)
Replaces: nagios-plugins
Description: transitional dummy package
 This dummy package is provided to support the transition from
 nagios-plugins-standard to monitoring-plugins-standard and should be removed
 afterwards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# enable hardnening
export DEB_BUILD_HARDENING=1

PACKAGE = monitoring-plugins

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CFLAGS = -Wall -g

DEBIANDIR=$(CURDIR)/debian
NP_LIBEXEC:=/usr/lib/nagios/plugins
NP_COMMON_DIR:=$(DEBIANDIR)/monitoring-plugins-common
NP_BASIC_DIR:=$(DEBIANDIR)/monitoring-plugins-basic
NP_BASIC_TEMPLATES:=$(NP_BASIC_DIR)/usr/share/monitoring-plugins/templates-basic
NP_STD_DIR:=$(DEBIANDIR)/monitoring-plugins-standard
NP_STD_TEMPLATES:=$(NP_STD_DIR)/usr/share/monitoring-plugins/templates-standard

std_plugins:=check_breeze check_ifoperstatus check_hpjd check_ifstatus \
	check_rpc check_snmp check_wave check_fping check_game \
	check_radius check_mysql check_mysql_query check_pgsql \
	check_disk_smb check_ldap check_ldaps \
	check_mailq \
	check_dns check_dig check_flexlm check_oracle \
	check_dbi

common_files:=negate urlize utils.pm utils.sh

basic_plugin_cfgs:=apt dhcp disk dummy ftp http load mail news ntp ping procs \
	real ssh tcp_udp telnet users
std_plugin_cfgs:=breeze disk-smb dns flexlm fping games hppjd ifstatus ldap \
	mailq mrtg mysql netware nt pgsql radius rpc-nfs snmp

PATH = /bin:/sbin:/usr/bin:/usr/sbin


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
PING_CONFIGURE_ARGS = --with-ping-command="/bin/ping -n -U -w %d -c %d %s" \
                      --with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s"
else
PING_CONFIGURE_ARGS = --with-ping-command="/bin/ping -n -w %d -c %d %s" \
                      --with-ping6-command="/bin/ping6 -n -w %d -c %d %s"
endif


config.status: configure
	export PATH=$(PATH)
	dh_testdir
	
	# if /proc is not mounted, check_nagios and check_procs are
	# silently omitted from build.
	@if ! [ -d /proc/1 ]; then \
	  echo "monitoring-plugins needs a mounted /proc to correctly build"; \
	  exit 1; \
	fi
	
	ln -sf /usr/share/misc/config.sub build-aux
	ln -sf /usr/share/misc/config.guess build-aux
	rm -f config.cache
	
	# Add here commands to configure the package.
	PGINCLUDE="-I`pg_config --includedir`" PGLIBS="-lpq -lcrypt" \
	CFLAGS="$(CFLAGS)" \
	./configure \
		--disable-maintainer-mode \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--libexecdir=${NP_LIBEXEC} \
		--with-perl=/usr/bin/perl \
		--with-openssl=/usr \
		--with-pgsql=/usr \
		--with-mysql=/usr \
		--with-proc-loadavg=/proc/loadavg \
		--with-ps-command="/bin/ps axwwo 'stat uid pid ppid vsz rss pcpu etime comm args'" \
		--with-ps-format="%s %d %d %d %d %d %f %s %s %n" \
		--with-ps-cols=10 \
		--with-ps-varlist="procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos" \
		$(PING_CONFIGURE_ARGS) \
		--with-nslookup-command="/usr/bin/nslookup -sil" \
		--with-uptime-command="/usr/bin/uptime" \
		--with-rpcinfo-command="/usr/sbin/rpcinfo" \
		--with-smbclient-command="/usr/bin/smbclient" \
		--with-snmpget-command="/usr/bin/snmpget" \
		--with-snmpgetnext-command="/usr/bin/snmpgetnext" \
		--with-qstat-command="/usr/bin/quakestat" \
		--with-fping-command="/usr/bin/fping" \
		--with-fping6-command="/usr/bin/fping6" \
		--with-ssh-command="/usr/bin/ssh" \
		--with-mailq-command="/usr/bin/mailq" \
		--with-proc-meminfo="/proc/meminfo" \
		--with-dig-command="/usr/bin/dig" \
		--with-apt-get-command="/usr/bin/apt-get" \
		--enable-extra-opts \
		--disable-rpath


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: really-clean

really-clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/README.Debian.plugins debian/monitoring-plugins-standard.substvars.in

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	-rm -f $(DEBIANDIR)/monitoring-plugins-basic.postrm $(DEBIANDIR)/monitoring-plugins-standard.postrm
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/monitoring-plugins.
	$(MAKE) install DESTDIR=${NP_BASIC_DIR}
	$(MAKE) install-root DESTDIR=${NP_BASIC_DIR}
	chmod 644 ${NP_BASIC_DIR}/usr/lib/nagios/plugins/utils.pm
	# split up basic vs. standard plugins
	for p in ${std_plugins}; do \
		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_STD_DIR}/${NP_LIBEXEC}; \
	done
	# slit out common files
	for p in ${common_files}; do \
		mv ${NP_BASIC_DIR}/${NP_LIBEXEC}/$$p ${NP_COMMON_DIR}/${NP_LIBEXEC}; \
	done
	# now do the same for their configs, copying them into seperate
	# "template" directories outside of /usr/share/doc for ucf to use.
	for c in ${basic_plugin_cfgs}; do \
		cp $(DEBIANDIR)/pluginconfig/$${c}.cfg ${NP_BASIC_TEMPLATES}; \
	done
	for c in ${std_plugin_cfgs}; do \
		cp $(DEBIANDIR)/pluginconfig/$${c}.cfg ${NP_STD_TEMPLATES}; \
	done
	# dynamically create the postrm scripts using a template, so that we
	# don't have to define the same list of plugin configs over and over.
	sed -e 's/@BASIC_PLUGINS@/${basic_plugin_cfgs}/' \
		< $(DEBIANDIR)/monitoring-plugins-basic.postrm.in \
		> $(DEBIANDIR)/monitoring-plugins-basic.postrm
	sed -e 's/@STD_PLUGINS@/${std_plugin_cfgs}/' \
		< $(DEBIANDIR)/monitoring-plugins-standard.postrm.in \
		> $(DEBIANDIR)/monitoring-plugins-standard.postrm
	# copy our dpkg-sourced functions etc into place
	mkdir -p ${NP_COMMON_DIR}/usr/share/monitoring-plugins/dpkg
	install -t ${NP_COMMON_DIR}/usr/share/monitoring-plugins/dpkg \
		$(DEBIANDIR)/functions
	# remove /usr/include from monitoring-plugins-basic (in case its empty and exists)
	[ ! -d ${NP_BASIC_DIR}/usr/include ] || rmdir ${NP_BASIC_DIR}/usr/include
	# generate debian/README.Debian.plugins
	perl ./debian/bin/gen_plugin_deps.pl

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_installexamples -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installchangelogs -p monitoring-plugins-basic -s ChangeLog
	dh_installchangelogs -Nmonitoring-plugins-basic
	dh_installdocs -s
	dh_link -s
	dh_installexamples -s
	dh_installman -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s -X utils.pm
	dh_installdeb -s
	dh_shlibdeps -s -Nmonitoring-plugins-standard
	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars \
		${NP_STD_DIR}/${NP_LIBEXEC}/check_dns
	dpkg-shlibdeps -Tdebian/monitoring-plugins-standard.substvars.in \
		-dSuggests ${NP_STD_DIR}/${NP_LIBEXEC}/check_*
	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
		>> debian/monitoring-plugins-standard.substvars
	dh_gencontrol -s -- $(DEPSUBSTVARS)
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## monitoring-plugins 2.2

=== debian/changelog ===
monitoring-plugins (2.2-3) unstable; urgency=medium

  * [760496b] d/control: Drop useless libssl1.0-dev build depend alternative
  * [e5adc23] Update d/p/10_spell_fixes
  * [094efe4] Adding d/p/12_check_apt_only_crit and
    d/p/13_check_apt_list_packages
  * [e4d7fd6] travis-ci: Reduce complexity

 -- Jan Wagner <waja@cyconet.org>  Thu, 19 Jan 2017 08:14:21 +0100

monitoring-plugins (2.2-2) unstable; urgency=medium

  * [627d88a] d/control: Explicit build-dep on libssl-dev or libssl1.0-dev
    (Closes: #847612)

 -- Jan Wagner <waja@cyconet.org>  Sun, 11 Dec 2016 16:17:18 +0100

monitoring-plugins (2.2-1) unstable; urgency=medium


  * [6f99654] Adding OpenSSL support by d/p/21_openssl11 (Closes: #844031),
    still build against openssl 1.0
  * [3978de2] travis-ci: Add my own trusty ppa for newer lintian
  * [fc1e752] travis-ci: use distribution trusty
  * [0bf4153] travis-ci: Use include build matrix
  * [c845af0] New upstream version 2.2
  * [79b42f5] Drop patches integrated upstream
  * [be431d8] Don't ship removed LEGAL file anymore
  * [38c2cff] Apply d/p/10_spell_fixes
  * [abb379d] d/control: Remove nagios3 from Suggests (Closes: #846874)
  * [2857592] d/control: Add icinga2 as suggests alternative
  * [7fe2363] d/control: Update Vcs-Browser URL to HTTPS
  * [670b052] d/control: Update VCS-URLs to https and cgit
  * [ed0d010] Apply d/p/11_check_dhcp_MSG_PEAK
  * [4e87f4c] d/control: Remove explicit dependency on libssl-dev

 -- Jan Wagner <waja@cyconet.org>  Thu, 08 Dec 2016 15:13:41 +0100

monitoring-plugins (2.1.2-3) unstable; urgency=medium

  * [8bab78d] d/control: Replacing build-dep libmysqlclient-dev with
    default-libmysqlclient-dev
  * [c40925b] d/control: Bump Standards-Version to 3.9.8, no changes needed
  * [2499442] travis-ci: Do not autoremove packages
  * [c272a5f] travis-ci: Add trusty-backports
  * [c15dfcc] Remove dangling links for removed examples (Closes: #824599)
  * [767714f] d/control: Build-depend on libssl1.0-dev
  * [775a4db] d/control: Add libssl-dev (<< 1.1.0) as Build-depend alternative
    for backporting
  * [0ee6998] travis-ci: Make use of travis.d.n
  * [a4b8d68] travis-ci: Adding jessie repo
  * [7a42fe2] travis-ci: Also fetching all tags
  * [a3c46e3] travis-ci: Using httpredir.debian.org as mirror
  * [51e0ade] travis-ci: Builds on testing are allowed to fail
  * [11ce4ed] d/control: Add libmysqlclient-dev as Build-depend alternative for
    backporting
  * [cccb5e2] travis-ci: Add stable to travis env
  * [c614108] d/control: Adding libradcli-dev as first radius build-dep
    (Closes: #822337)
  * [1b1c5e9] Adding d/p/20_check_radius_radcli to add support for radcli
    (Closes: #822337)
  * [bbb8528] d/NEWS.Debian: Add a note about dependencies for check_radius
  * [438149a] Adjust check_radius command definition to use the correct
    radiusclient config file

 -- Jan Wagner <waja@cyconet.org>  Fri, 18 Nov 2016 12:22:37 +0100

monitoring-plugins (2.1.2-2) unstable; urgency=medium

  [ Jan Wagner ]
  * [6bcfb6c] Remove check_bgpstate and check_linux_raid from package
    description (LP: #1473229)
  * [93b217d] travis-ci: Adding required arguments for trusty
  * [af23094] travis-ci: Droping backports
  * [3fd4e78] travis-ci: automatically install dependencies

  [ Klaus Ethgen ]
  * [52ead1a] Fix /proc check on systems that have hardened system
    (Closes: #803154)

  [ Robie Basak ]
  * [db38432] Drop fping and qstat from Recommends to Suggests
  * [877f48a] Drop $(DEPSUBSTVARS) from dh_gencontrol call

  [ Jan Wagner ]
  * [8401f27] Use dh_prep instead of dh_clean -k
  * [093d9a4] Drop hardening-wrapper, use dpkg-buildflags instead

 -- Jan Wagner <waja@cyconet.org>  Mon, 16 Nov 2015 20:06:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,28 @@
 Uploaders: Jan Wagner <waja@cyconet.org>, Alexander Wirt <formorer@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 5),
-               hardening-wrapper,
                libdbi-dev,
-               libfreeradius-client-dev | libradiusclient-ng-dev,
+               libradcli-dev | libfreeradius-client-dev | libradiusclient-ng-dev,
                libkrb5-dev,
                libldap2-dev,
-               libmysqlclient-dev,
+               default-libmysqlclient-dev | libmysqlclient-dev,
                libnet-snmp-perl,
                libpq-dev,
+               libssl-dev,
                mawk | awk,
                perl,
                procps
 Homepage: https://www.monitoring-plugins.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nagios/pkg-monitoring-plugins.git
-Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-monitoring-plugins.git
-Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-monitoring-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-monitoring-plugins.git
+Standards-Version: 3.9.8
 
 Package: monitoring-plugins
 Architecture: all
 Depends: monitoring-plugins-basic, monitoring-plugins-standard, ${misc:Depends}
 Replaces: nagios-plugins (<< 1.5-4~)
 Breaks: nagios-plugins (<< 1.5-4~)
-Suggests: icinga | icinga | nagios3, nagios-plugins-contrib
+Suggests: icinga | icinga2, nagios-plugins-contrib
 Description: Plugins for nagios compatible monitoring systems (metapackage)
  Plugins for nagios compatible monitoring systems like Naemon and Icinga.
  .
@@ -41,7 +41,7 @@
 Depends: ucf, ${misc:Depends}, ${shlibs:Depends}
 Replaces: nagios-plugins-common (<< 1.5-4~)
 Breaks: nagios-plugins-common (<< 1.5-4~)
-Suggests: icinga | icinga | nagios3
+Suggests: icinga | icinga2
 Description: Common files for plugins for nagios compatible monitoring
  Common files for plugins for nagios compatible monitoring systems like Naemon
  and Icinga.
@@ -60,7 +60,7 @@
 Recommends: libcap2-bin [linux-any]
 Replaces: nagios-plugins-basic (<< 1.5-4~)
 Breaks: nagios-plugins-basic (<< 1.5-4~)
-Suggests: icinga | icinga | nagios3
+Suggests: icinga | icinga2
 Description: Plugins for nagios compatible monitoring systems (basic)
  Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
  contains the following plugins:
@@ -90,25 +90,24 @@
 Depends: monitoring-plugins-basic, ucf, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bind9-host | host,
             dnsutils,
-            fping,
             libnet-snmp-perl,
-            qstat,
             rpcbind,
             smbclient,
             snmp,
             ${shlibs:Recommends}
-Suggests: icinga | icinga | nagios3,
-          postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light
+Suggests: fping,
+          icinga | icinga2,
+          postfix | sendmail-bin | exim4-daemon-heavy | exim4-daemon-light,
+          qstat
 Description: Plugins for nagios compatible monitoring systems (standard)
  Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
  contains the following plugins:
  .
-  check_bgpstate, check_breeze, check_dbi, check_dig, check_disk_smb,
-  check_dns, check_flexlm, check_fping, check_game,
-  check_hpjd, check_ifoperstatus, check_ifstatus, check_ldap,
-  check_ldaps, check_linux_raid, check_mailq, check_mysql,
-  check_mysql_query, check_oracle, check_pgsql, check_radius,
-  check_rpc, check_snmp, check_wave
+  check_breeze, check_dbi, check_dig, check_disk_smb, check_dns,
+  check_flexlm, check_fping, check_game, check_hpjd, check_ifoperstatus,
+  check_ifstatus, check_ldap, check_ldaps, check_mailq, check_mysql,
+  check_mysql_query, check_oracle, check_pgsql, check_radius, check_rpc,
+  check_snmp, check_wave
  .
  This package provides the suite of plugins that are most likely to be
  useful on a central monitoring host. Some scripts need more packages installed

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# enable hardnening
-export DEB_BUILD_HARDENING=1
+# for hardening
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 PACKAGE = monitoring-plugins
 
@@ -69,7 +70,7 @@
 	
 	# if /proc is not mounted, check_nagios and check_procs are
 	# silently omitted from build.
-	@if ! [ -d /proc/1 ]; then \
+	@if ! [ -d /proc/$$$$ ]; then \
 	  echo "monitoring-plugins needs a mounted /proc to correctly build"; \
 	  exit 1; \
 	fi
@@ -79,8 +80,9 @@
 	rm -f config.cache
 	
 	# Add here commands to configure the package.
+	# Append 'All warnings', 'Immediate binding' and dpkg-buildflags flags
+	CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Wall -Wl,-z,now' dpkg-buildflags --get CFLAGS)" \
 	PGINCLUDE="-I`pg_config --includedir`" PGLIBS="-lpq -lcrypt" \
-	CFLAGS="$(CFLAGS)" \
 	./configure \
 		--disable-maintainer-mode \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -145,7 +147,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/monitoring-plugins.
@@ -223,9 +225,8 @@
 	grep shlibs:Suggests debian/monitoring-plugins-standard.substvars.in \
 		| sed -e 's/shlibs:Suggests/shlibs:Recommends/' \
 		>> debian/monitoring-plugins-standard.substvars
-	dh_gencontrol -s -- $(DEPSUBSTVARS)
+	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
https://www.monitoring-plugins.org/download/.*-plugins-(\d+\.[\d\.a-z]+)\.tar\.gz \
  debian debian/bin/repack.sh

## monitoring-plugins 2.3

=== debian/changelog ===
monitoring-plugins (2.3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial
      filesystems that trigger false-positive DISK CRITICAL checks due
      to reporting as at 100% capacity.
      (LP 1827159)
    - d/p/check_http_socket_timeouts.patch: fix check_http
      + was having constant socket timeouts (LP #1875517)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 29 Jan 2021 18:05:14 -0800

monitoring-plugins (2.3-1) unstable; urgency=medium

  * Upload to unstable

 -- Jan Wagner <waja@cyconet.org>  Wed, 06 Jan 2021 22:10:18 +0100

monitoring-plugins (2.3-1~exp1) experimental; urgency=medium

  * [3031044] New upstream version 2.3
  * [61ef2d7] Droping all patches commited upstream and beeing obsolete with 2.3
  * [66c44c4] d/control: adding new build-deps fir check_curl
  * [59b52dd] d/rules: Adding check_curl to std_plugins
  * [5e59ca1] Adding check_curl check commands
  * [6cbfc78] check_uptime: Don't ship for now, check_uptime also exist in
    nagios-plugins-contrib

 -- Jan Wagner <waja@cyconet.org>  Mon, 14 Dec 2020 14:51:49 +0100

monitoring-plugins (2.2-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [643c792] Drop icinga from Suggests.

  [ Christopher Huhn ]
  * [ab5d5b97] Fix OID for snmp_users check

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1.4-1.
  * Bump debhelper from deprecated 5 to 10. (Closes: #965726)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 1.5-2.
  * Update standards version to 4.5.0, no changes needed.

  [ Bas Couwenberg ]
  * [122d9b7] Bump watch file version to 4.

  [ Jan Wagner ]
  * [e44da07] Adding CI
  * [7065705] Removing .travis.yml
  * [23a92bf] Remove debugging in ci workflow

  [ Bas Couwenberg ]
  * [3c97246] Update gbp.conf to use --source-only-changes by default.
  * [ed92830] Update gbp.conf for deprecated section.
  * [4890f23] Drop obsolete symlinks for icinga 1.x.
  * [6086187] Drop obsolete autotools-dev build dependency.
  * [1407082] Don't set CFLAGS from noopt.
  * [94db0e3] Drop obsolete ORed build dependency.
  * [4ddc077] Bump Standards-Version to 4.5.1, no changes.

  [ Jan Wagner ]
  * [bb8ed44] d/s/option: drop travis and add github ignore
  * [52473e9] Rename debian/NEWS.Debian to debian/NEWS to make lintian happy
  * [45b13cf] debian/monitoring-plugins-common.docs: Fixing NEWS filename
  * [6ffbf14] Adding d/p/16_check_mailq_options from upstream (Closes: #954961)

 -- Jan Wagner <waja@cyconet.org>  Tue, 08 Dec 2020 19:45:04 +0100

monitoring-plugins (2.2-6ubuntu2) groovy; urgency=medium

  [Haw Loeung]
  * fix check_http - was having constant socket timeouts (LP: #1875517)
  - d/p/14_check_http_socket_timeouts

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sat, 02 May 2020 06:43:05 +0000

monitoring-plugins (2.2-6ubuntu1) focal; urgency=medium

  * d/p/exclude-tmpfs-squashfs-tracefs.patch: Ignore artificial filesystems
    that trigger false-positive DISK CRITICAL checks due to reporting as at
    100% capacity.
    (LP: #1827159)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 31 Oct 2019 00:21:55 +0000

monitoring-plugins (2.2-6build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:17 +0000

monitoring-plugins (2.2-6build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 09:34:09 +0200

monitoring-plugins (2.2-6) unstable; urgency=medium

  * [697d611] travis-ci: Remove trusty from definition
  * [7b5d419] d/rules: Explicitly call ping with -4 and -6 on linux arch
    (Closes: #863981)

 -- Jan Wagner <waja@cyconet.org>  Tue, 16 Apr 2019 19:14:10 +0200

monitoring-plugins (2.2-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [890cd8c] Bump Standards-Version to 4.1.5, no changes.
  * [59073f6] Bump Standards-Version to 4.2.0, no changes.
  * [e07a06c] Bump Standards-Version to 4.2.1, no changes.

  [ Jan Wagner ]
  * [40b9004] travis-ci: Use xenial image
  * [56443b1] d/control: Add Provides for 'old' nagios-plugins

  [ Bas Couwenberg ]
  * [c70710f] Apply path by Andreas Henriksson to fix usrmerge issue.
    (closes: #914092)
  * [377eec3] Bump Standards-Version to 4.3.0, no changes.

  [ Jan Wagner ]
  * [73f2273] Add d/p/14_mariad to fix FTBFS with MariaDB 10.3.
    (Closes: #919375)
  * [4f75b28] Add d/p/15_check_smtp_initialize to fix check_smtp with custom
    commands and SSL
  * [61315ee] d/rules: Configure with sudo (Closes: 905318)
  * [d8a134e] d/control: Add sudo to Recommends
  * [1fe1cd2] Symlink /usr/lib/nagios/plugins/utils.* to /usr/lib/icinga/
    (Closes: #879084, #907484)

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Jan 2019 19:40:25 +0100

monitoring-plugins (2.2-4) unstable; urgency=medium

  * [97cb3c4] Drop symlinks to removed LEGAL file. (Closes: #856676)
  * [878ceb9] Using absolut paths when using ucf, debconf 1.5.62 changed it's
    behaviour (Closes: #867256)
  * [22de139] d/control: Update VCS-headers
  * [b024e21] d/control: Priority extra is deprecated, using optional
  * [9095923] d/control: Drop old nagios-plugins* transitional packages
    (Closes: #878769)
  * [6956bcc] d/control: Bump Standards-Version to 4.1.4.0, no changes needed
  * [d634e5a] d/functions: Fixing ucf register function

 -- Jan Wagner <waja@cyconet.org>  Sun, 13 May 2018 14:04:35 +0200
